<?php

// Copyright (c) 2012-2022  
//Module de paiement Monetico DSP2 pour le CM-CIC Par hosteco.fr 2012-2022. 
// All rights reserved. ---

/*
Plugin Name: WooCommerce - Passerelle Monetico DSP2 Paiement Hosteco
Plugin URI: http://www.hosteco.fr/Module-Paiement-Worpress-Ecommerce/module-de-paiement-cm-cic-wordpress-plugin-woocommerce-303.html
Description: <strong>Module de paiement pour Woocommerce</strong> interfac&eacute; avec la plateforme Monetico DSP2 Paiement. (Compatible WooCommerce V3.x, v4.x, v5.x, v6.x)
Version: 3.1.7
Author: Hosteco
Author URI: http://www.hosteco.fr
License: All right reserved
*/

add_action('plugins_loaded', 'woocommerce_monetico_hosteco_init', 0);
 
function woocommerce_monetico_hosteco_init() {
 
if ( !class_exists( 'WC_Payment_Gateway' ) ) return;

/*
* Gateway class
*/

class WC_Gateway_monetico extends WC_Payment_Gateway {

		
	public function __construct() { 
		global $woocommerce;
		
        $this->id		      	= 'monetico';
        $this->has_fields 	= false;
        $this->method_title = __( 'Monetico', 'woocommerce' );
        	
		// Load the form fields.
		$this->init_form_fields();
		
		// Load the settings.
		$this->init_settings();
			
		// Define user set variables
		$this->title 		  	= $this->settings['title'];
		$this->description 	= $this->settings['description'];
		$logos = "<img src='" . WP_PLUGIN_URL . "/" . plugin_basename(dirname(__FILE__)) . "/c25-logo-monetico-f.gif'>";
    $this->method_description = $logos . "<br>Accepter les paiements par carte bancaire pour les commerçants ayant signé un contrat VAD Monetico : CIC, Crédit Mutuel, et OBC";
//        	$this->has_fields = false;			
		$this->curlmode	= $this->settings['curlmode'];
		$this->bank 	 	= $this->settings['bank'];
    $this->mini    = $this->settings['mini'];
    $this->maxi    = $this->settings['maxi']; 
    
		$this->cle    = $this->settings['cle'];
    $this->tpe    = $this->settings['tpe'];
    $this->soc    = $this->settings['soc'];   
    
    $this->install = $this->settings['install']; 
    $this->payexpr = $this->settings['payexpress'];      
    
	  $this -> icon = WP_PLUGIN_URL . "/" . plugin_basename(dirname(__FILE__)) . '/cmcic_paiement_h24.gif';  
if($this->bank == 'monet') {
	  $this -> icon = WP_PLUGIN_URL . "/" . plugin_basename(dirname(__FILE__)) . '/logo-monetico-cartes.png'; }      
       	
		$this->form_submission_method = false; //( isset( $this->settings['form_submission_method'] ) && $this->settings['form_submission_method'] == 'yes' ) ? true : false;
    $this->order_received = get_option('woocommerce_checkout_order_received_endpoint'); 
		$this->testmode		= $this->settings['testmode'];			

    $this->notify_url = add_query_arg( 'wc-api', 'WC_Gateway_Monetico', home_url( '/' ) );			
    $this->cancel_url = add_query_arg( 'page_id', get_option('woocommerce_checkout_page_id'), home_url( '/' ) );

		$this->ver_woo = substr(get_option('woocommerce_version'),0,3);
if($this->ver_woo == '2.0'){
    $this->succes_url = add_query_arg( 'page_id', get_option('woocommerce_thanks_page_id'), site_url( '/' ) );
} else {	
    $this->succes_url = add_query_arg( 'page_id', get_option('woocommerce_checkout_page_id'), home_url( '/' ) );
}
		// Actions
		add_action('valid-monetico-request', array( $this, 'succes_monetico_request') );
		add_action('woocommerce_receipt_monetico', array( $this, 'receipt_page'));

		add_action( 'woocommerce_update_options_payment_gateways_' . $this->id, array( $this, 'process_admin_options' ) );
		
		// Payment listener/API hook
		add_action( 'woocommerce_api_wc_gateway_monetico', array( $this, 'succes_monetico_request' ) );
		
		require_once ("Monetico_Config.php");	
		
    $this->nom = '';
    if(isset($serveur)) $this->serveur = $serveur;	
//    $this->return_cmcic = $return_cmcic;
//    $this->cancel_cmcic = $cancel_cmcic;    
    
		if ( !$this->is_valid_for_use() ) $this->enabled = false;
    } 
    
     /**
     * Check if this gateway is enabled and available in the user's country
     */
    function is_valid_for_use() {
        if (!in_array(get_woocommerce_currency(), array('AUD', 'BRL', 'CAD', 'MXN', 'NZD', 'HKD', 'SGD', 'USD', 'EUR', 'JPY', 'TRY', 'NOK', 'CZK', 'DKK', 'HUF', 'ILS', 'MYR', 'PHP', 'PLN', 'SEK', 'CHF', 'TWD', 'THB', 'GBP', 'RMB'))) return false;

        return true;
    }
    
	 
	public function admin_options() {
  global $woocommerce;
    	?>
<style type="text/css">
.presinfo {

	font-family: Tahoma, Verdana, Arial; 
	font-size: 12px; 
	color: #5a5a5a;
 /*   text-align: center; */
 	background: #e1e0dc; 

  width: 98%;	

	padding-left: 10px;
	padding-right: 10px;

   border-top:1px solid;
   border-bottom:1px solid;
   border-left:1px solid;
   border-right:1px solid;
   border-color:#aaa;  
}

.presinfo img {display: inline;}	  
</style>    	

    	<div class='presinfo'><br><br>   	
      <img style='margin-left:5px; margin-top:-20px;' border="0" src="<?php echo WP_PLUGIN_URL . "/" . plugin_basename(dirname(__FILE__)) . '/c25-logo-monetico-f.gif';?>" >
    	<p style='margin-left:250px; margin-top:-50px;'>

    	<b><?php _e('Monetico DSP2 Paiement fonctionne en envoyant l\'utilisateur vers le site s&eacute;curis&eacute; de Monetico Paiement pour qu\'il entre ces informations de r&eacute;glement. (TPE: Immédiat - Différé - Partiel)', 'woocommerce'); ?></b><br></p>
    	<br><p style='float:left; margin-left:750px; margin-top:-30px;'>
      <a href="http://www.hosteco.fr/" target="_blank"  title="Allez sur le site de l'Auteur, en cliquant ici. ">Par hosteco.fr &copy; 2012-2022</a></i></p>

      </div>

    	<table class="form-table">
    	<?php
    		if ( $this->is_valid_for_use() ) :
    	
    			// Generate the HTML For the settings form.
    			$this->generate_settings_html();
    		
    		else :
    		
    			?>
            		<div class="inline error"><p><strong><?php _e( 'Gateway Disabled', 'woocommerce' ); ?></strong>: <?php _e( 'CM-CIC ne support pas cette monaie sur cette boutique.', 'woocommerce' ); ?></p></div>
        		<?php
        		
    		endif;
    	?>
		</table><!--/.form-table-->
    	<?php
    print " 
    <br><br><div class='presinfo'><br>
  	<big><big><b>ADMINISTRATION </b>(Liens)<b>: </b></big></big>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    <a href='https://www.monetico-services.com/fr/identification/login.cgi' target='_blank' title='Allez sur le site de l&#39;Administration Monetico P@iement, en cliquant ici. '><big><b>Monetico (Production)</b></big></a> 
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    <a href='https://www.monetico-services.com/fr/test/identification/login.cgi' target='_blank' title='Allez sur le site de l&#39;Administration de test Monetico P@iement, en cliquant ici. '><big><b>Monetico (Test)</b></big></a> 
    <br><br>"; 

    print " 
    <big><big><b>URL DE NOTIFICATION : </b></big></big><br><br>
    <b>URL de notification de transactions : </b>".$this->notify_url."
    <img border='0' src='" . WP_PLUGIN_URL . "/" . plugin_basename(dirname(__FILE__)) . "/c25-logo-monetico-f.gif' style='float:right; margin-right:12px; margin-top:0px;'>    
    <br><br>";
    
    print " 
	  <a href='http://www.hosteco.fr/' target='_blank'  title='Allez sur le site de l&#39;Auteur, en cliquant sur hosteco.fr &copy; 2012-2022. ', en cliquant ici. '>Par hosteco.fr &copy; 2012-2022</a>					
    <br><br></div><br>";  
if($this->install == 'yes'){
?>
 
   <div class="content"> 
<h1>Proc&eacute;dure d&#39;installation</h1>
  <br />
  <b>1) - </b>Entrez les valeurs : identifiant site(TPE), Code soci&eacute;t&eacute;, et la Clef du Commer&ccedil;ant,
  <br /> Choisir la banque, Cochez pour activer le mode test, et Cochez pour Activer le module.<br /> 
  <br />
  <b>Information sur le code soci&eacute;t&eacute; :<br /></b>
  <br />  
  Le code soci&eacute;t&eacute; vous est fournis par email de <b>centrecom@e-i.com</b>, il comporte g&eacute;n&eacute;ralement 7 &agrave; 8 caract&egrave;res reprenant le nom de votre soci&eacute;t&eacute;, 
  <br />&agrave; ne pas confondre avec l'identifiant Monetico paiement qui lui comprend 16 caract&egrave;res qui sert pour l'admin  Monetico paiement.
  <br /><br />   
  <b>Exemple de fichier Clef (num&eacute;ro tpe.key) :<br /></b>
  <br />
  <div style="background:#dedede;padding: 5px 15px 5px 15px;margin-right:500px;">
  VERSION 1 <b><font color='blue'>8E787049376D31DA39C40555C8CA21E62C92030A</font></b><br />
  HMAC-SHA1<br />
  #<br />
  f2857627adbf02c1d91963af085c39de32378cd8<br />
  </div>
  Ou récupérez la clef dans l'admin Monetico Paiement.
  <br />
  <b>Vous devez recopier la clef en bleu dans le champ clef du Commer&ccedil;ant.</b><br />
  <i>Toutes les informations n&eacute;cessaires sont dans les  3 emails que centrecom vous a envoy&eacute;.</i><br />
  <br />
  <b>2) - </b>Email &agrave; envoyer &agrave; <b>centrecom@e-i.com</b> ci-dessous:<br />
  <br />
  TITRE : &nbsp;
  
  <b>URLS pour le TPE <?php echo $this->tpe; ?> / <?php echo $this->soc; ?> --> <?php echo $_SERVER["SERVER_NAME"]; ?> - CMS : Woocomerce</b> 
<br />
****************************************************************************************************************
  <div style="background:#fff;padding: 5px 15px 5px 15px;margin-right:150px;">
<br /><big>
Bonjour, 
<br /><br />
Vous trouverez ci-dessous l&#39;adresse d'annulation, de  succ&egrave;s et l&#39;adresse de retour serveur
<br /><br />
TPE: <b><?php echo $this->tpe; ?></b> / code soci&eacute;t&eacute;: <b><?php echo $this->soc; ?></b> 
<br /><br />
Adresse annulation:
<br />
       <b><?php echo $this->cancel_url;?></b>
<br /><br />	
Adresse Succ&egrave;s:	
<br />
		<b><?php echo $this->succes_url;?></b>
<br /><br />
Adresse Retour Serveur (test et Prod):
<br />
		<b><?php echo $this->notify_url;?></b>	
		</big>
<br /><br />
</div>		
****************************************************************************************************************		
<br /><br />	
<i>En faite &agrave; ce stade le paiement est effectu&eacute; en mode test, mais la BDD n'est pas mise &agrave; jour donc la commande n&#39;apparait pas, comme valid&eacute;e.</i>
<br /><br />	
  <b>3) - </b>  D&egrave;s que vous avez le retour de centrecom, vous devez effectuer les 3 essais de paiement accept&eacute; demand&eacute;s par centrecom.<br />
  <b>Avant vous devez ouvrir votre vad en mode test dans l'admin </b>
  <a href='https://www.monetico-services.com/fr/test/identification/login.cgi' target='blank' title='Cliquez ici pour ouvrir le vad en mode test'><b>Monetico p@iement</b></a>
<br />puis dans environnement -->cliquer sur tableau de bord de test --> dans param&eacute;trage -->cliquer sur &eacute;tat du tpe-->modifier-->ouvert-->valider
<br />Lorsque vous arrivez sur la page de la banque pour entrer le num&eacute;ro de carte, cliquez sur le bouton test pour acceder au num&eacute;ro de carte test.
<br /><br />	
  <b>4) - </b>  Une fois que les 3 essais sont concluants de paiement accept&eacute; demand&eacute;s par centrecom, <br />Vous pouvez faire la demande de mise en production &agrave; <b>centrecom@e-i.com</b> en evoyant l&#39;email ci-dessous:		
  <br /><br />
  TITRE : &nbsp;
  <b>Demande de mise en production pour le TPE <?php echo $this->tpe; ?> / <?php echo $this->soc; ?> --> <?php echo $_SERVER["SERVER_NAME"]; ?> - CMS : Wocommerce</b> 
<br />
**************************************************************************************************************************
  <div style="background:#fff;padding: 5px 15px 5px 15px;margin-right:80px;">
<br /><big><b>
Bonjour, 
<br /><br />
Demande de mise en production pour le TPE <?php echo $this->tpe; ?> / <?php echo $this->soc; ?> --> <?php echo $_SERVER["SERVER_NAME"]; ?> - CMS : Woocommerce
<br /><br />
Cordialement ....
</b></big>
<br /><br />

</div>
**************************************************************************************************************************
<br /><br />
  <b>5) - </b>  Retirer le mode test en cliquant sur le bouton non. <b>(votre module accepte maintenant les paiements r&eacute;els)</b>
<br /><br />
<b>L&#39;installation est termin&eacute;e.</b>
<br /><br />
  </div>
 
<?php    
    }
 } // End admin_options()
    
	/**
     * Initialise Gateway Settings Form Fields
     */
    function init_form_fields() {
    
    	$this->form_fields = array(
			'enabled' => array(
							'title' => __( 'Enable/Disable', 'woocommerce' ), 
							'type' => 'checkbox', 
							'label' => 'Activer Monetico DSP2 Paiement', 
							'default' => 'yes'
						), 
			'title' => array(
							'title' => __( 'Title', 'woocommerce' ), 
							'type' => 'text', 
							'description' => ' &nbsp; '.__( 'This controls the title which the user sees during checkout.', 'woocommerce' ), 
							'default' => __( 'Cartes Bancaires', 'woocommerce' )
						),
			'description' => array(
							'title' => __( 'Description', 'woocommerce' ), 
							'type' => 'textarea', 
							'description' => __( 'This controls the description which the user sees during checkout.', 'woocommerce' ), 
							'default' => html_entity_decode(htmlentities('Régler avec Monetico DSP2 Paiement sur le site sécurisé de Monetico Paiement avec votre carte bancaire'), NULL, 'utf-8')
						),

  		'bank' => array(
							'title' => 'Banque', 
							'type' => 'select', 
							'description' => ' &nbsp; Veuillez choisir votre Banque. Ceci est n&eacute;cessaire afin d\'obtenir le paiement !' , 
							'default' => 'monet',
							'options' => array(
							'monet'   => 'Monetico',
				    	'cm'      => 'Cr&eacute;dit Mutuel',            				
				    	'cic'     => 'CIC',
				    	'obc'     => 'Neuflize OBC'
             	)							
						),	
            
  		'curlmode' => array(
							'title' => 'Mode Curl', 
							'type' => 'select', 
							'description' => ' &nbsp; Veuillez choisir le mode Curl. Ceci permet de résoudre le bug OVH pour l\'acces au paiement !' , 
							'default' => '0',
							'options' => array(
							'0'    => 'Standard',
				    	'1'    => 'Substituion 1',            				
				    	'2'    => 'Substituion 2',
				    	'3'    => 'Substituion 3'
             	)							
						),	            						
  
			'tpe' => array(
							'title' => 'Num&eacute;ro de TPE', 
							'type' => 'text', 
							'description' => ' &nbsp; Veuillez entrer votre num&eacute;ro de TPE Monetico Paiement. Ceci est n&eacute;cessaire afin d\'obtenir le paiement ! ', 
							'default' => '1234567'
						),			
			'soc' => array(
							'title' => 'Code Soci&eacute;t&eacute;', 
							'type' => 'text', 
							'description' => ' &nbsp; Veuillez entrer votre Code Soci&eacute;t&eacute; Monetico Paiement. Ceci est n&eacute;cessaire afin d\'obtenir le paiement ! ', 
							'default' => 'codesoc'
						),	
  		'cle' => array(
							'title' => 'Num&eacute;ro de Clef', 
							'type' => 'text', 
							'description' => ' &nbsp; Veuillez entrer votre num&eacute;ro de Clef Monetico Paiement. Ceci est n&eacute;cessaire afin d\'obtenir le paiement ! ', 
							'default' => 'B61ECA852BD0BAA252E7BA8124603964C66DDCP4'
						),

			'mini' => array(
							'title' => 'Montant mini', 
							'type' => 'text', 
							'description' => ' &nbsp; Veuillez entrer votre Montant mini. Ceci est le plancher de paiement ! ', 
							'default' => '1'
						),	
			'maxi' => array(
							'title' => 'Montant Maxi', 
							'type' => 'text', 
							'description' => ' &nbsp; Veuillez entrer votre Montant Maxi. Ceci est le plafond de paiement! ', 
							'default' => '1500'
						),		
			'payexpress' => array(
							'title' => __( 'Paiement Express', 'woocommerce' ), 
							'type' => 'checkbox', 
							'label' => __( 'Activer le Paiement Express', 'woocommerce' ), 
							'description' => 'Lorsque le Paiement Express est activ&eacute;, seul les num&eacute;ros de carte 3DSecure sont enregistr&eacute;es. ',
							'default' => 'yes'
  					),     

			'testmode' => array(
							'title' => __( 'Mode Test', 'woocommerce' ), 
							'type' => 'checkbox', 
							'label' => __( 'Activer le mode test', 'woocommerce' ), 
							'description' => 'Lorsque le mode test est activ&eacute;, seul les num&eacute;ros de carte-test sont accept&eacute;s. ',
							'default' => 'yes'
  					),     					

			'form_submission_method' => array(
							'title' => 'M&eacute;thode de lancement', 
							'type' => 'checkbox', 
							'label' => 'Activer la M&eacute;thode POST', 
							'description' => 'Activer la M&eacute;thode POST pour plus de s&eacute;curit&eacute;, si non la M&eacute;thode GET sera utilis&eacute;e.',
							'default' => 'no'
						), 
						
			'install' => array(
							'title' => __( 'Affichage Installation', 'woocommerce' ), 
							'type' => 'checkbox', 
							'label' => __( 'Activer l&#39;affichage de la proc&eacute;dure d&#39;Installation', 'woocommerce' ), 
							'description' => 'Lorsque cette fonction est activ&eacute;, la proc&eacute;dure d&#39;Installation est visible en bas de cette page. ',
							'default' => 'no'
  					),						
			
			);
    
    } // End init_form_fields()
    
    /**
	 * There are no payment fields for Monetico, but we want to show the description if set.
	 **/
    function payment_fields() {
    	if ($this->description) echo wpautop(wptexturize($this->description));
    }

    /**
	 * Get Cm-cic Args for passing 
	 **/
	function get_monetico_args( $order ) {
		global $woocommerce;
		
		$order_id = $order->id;
//		print_r($order);
if($this->ver_woo == '2.0'){				
if(strpos($this->succes_url,'?')) {$car_sp = '&';}else{$car_sp = '/?';}
$return_cmcic = $this->succes_url.$car_sp."order=".$order_id."&key=".$order->order_key;
} else {
if(strpos($this->succes_url,'?')) {$car_sp = '&';}else{$car_sp = '/?';}
$return_cmcic = $this->succes_url.$car_sp.$this->order_received."=".$order_id."&key=".$order->order_key;
}

$cancel_cmcic = $this->cancel_url;

define ("CMCIC_URLOK", $return_cmcic);
define ("CMCIC_URLKO", $cancel_cmcic);

$mytpe["tpe"]         = $this->tpe;
$MyTpe["name"]        = $this->id;
$MyTpe["verps"]       = 'Woo '.$this->ver_woo;
$MyTpe["ver"]         = 'Woo 3.1.7';
$MyTpe["site"]        = $_SERVER["HTTP_HOST"];
$MyTpe["addr"]        = $_SERVER["SERVER_ADDR"];

$ts = time();
$sDate    = date("d/m/Y:H:i:s", $ts);

$total	 	= number_format($order->order_total,2,'.','');
$sMontant = number_format(sprintf("%01.2f",$total), '2', '.', '');
$Montant  = number_format(sprintf("%01.2f",$total), '2', ',', '');

if($this->nom != null) { $site = $this->nom; }
else {$site = substr(get_option('siteurl'),8,32);}
$site = str_replace('/', '',$site);
$site = htmlentities($site, NULL, 'utf-8');
$sit = html_entity_decode($site);

$sDevise = $order->currency;//"EUR";

$sReference = $order_id.'-1';

if($this->testmode == 'yes'){$sTexteLibre = "Hosteco - Paiement de la commande numero ".$order_id." sur ".$site;}
else {$sTexteLibre = "Paiement de la commande numero ".$order_id." sur ".$site;}

$sLangue = "FR";

$sEmail = $order->billing_email;

$stype_paiement = "1euro,3xcb,4xcb,lyfpay";

		if ($this->payexpr != 'yes'){
	  $s_aliascb = "";
		$sforcesaisiecb = '1';
   	}else{
  	$s_aliascb = "Client" . (int)$order->customer_id;
  	$sforcesaisiecb = '0';
    }	
//------------------------------------------------------------------------------

    function No_Accent($text) {
        $text = str_replace(
            array(
                'à','â','ä','á','ã','å', 'î','ï','ì','í', 'ô','ö','ò','ó','õ','ø', 'ù','û','ü','ú', 'é','è','ê','ë', 'ç', 'ÿ', 'ñ',
                'À','Â','Ä','Á','Ã','Å', 'Î','Ï','Ì','Í',    'Ô','Ö','Ò','Ó','Õ','Ø', 'Ù','Û','Ü','Ú', 'É','È','Ê','Ë', 'Ç', 'Ÿ', 'Ñ'),
            array(
                'a','a','a','a','a','a', 'i','i','i','i', 'o','o','o','o','o','o', 'u','u','u','u', 'e','e','e','e', 'c', 'y', 'n',
                'A','A','A','A','A','A', 'I','I','I','I', 'O','O','O','O','O','O', 'U','U','U','U', 'E','E','E','E',    'C', 'Y', 'N'    ),$text);
        return $text;
    }

  function Clean_string($chaine){
  $depart = '`!#$&%()*+,./:;<>=?@[]\_{}§£|~';
  $replac = '______________________________';
  $mt_propre = strtr($chaine,$depart,$replac);
  $mt_propre = str_replace('"', '',$mt_propre);
  $mt_propre = No_Accent($mt_propre);
  return $mt_propre;
  }  

  function Clean_Tel($num_tel) {
  if(!empty($num_tel)){ 
  $num_tel = str_replace(" ","", $num_tel);
  if(strstr(substr($num_tel,0,1),'+')) {
  if(strstr(substr($num_tel,3,1),'-')) {
  $tel_propre = $num_tel;
  }else{
  $tel_propre = '+'.substr($num_tel,1,2).'-'.substr($num_tel,3,14);
  }
  }else{
  $tel_propre = str_replace("-","", $num_tel);
  $tel_propre = '+33-'.substr($num_tel,1,14);
  }}else{$tel_propre = '';} 
  return $tel_propre;
  }
  
if (!empty($order->billing_state)){
$billing_state = Clean_string($order->billing_state); 
$billing_state = '"stateOrProvince" : "'.$billing_state.'",';}else{ $billing_state = '';}
//$billing_state = '';

if (!empty($order->shipping_state)){
$shipping_state = Clean_string($order->shipping_state);
$shipping_state = '"stateOrProvince" : "'.$shipping_state.'",';}else{ $shipping_state = '';}
//$shipping_state = '';

if (!empty($order->shipping_country)){
$shipping_country = '"country" : "'.$order->shipping_country.'",';}else{ $shipping_country = '"country" : "'.$order->billing_country.'",';}
 
if(empty($order->billing_phone)) {$phone = '+33-123456789';} else {$phone = $order->billing_phone;}
if(empty($order->shipping_phone)) {$phone_S = '+33-123456789';} else {$phone_S = $order->shipping_phone;}

if(empty($order->billing_company)) $order->billing_company = 'NULL';
if(empty($order->billing_address_1)) $order->billing_address_1 = 'NULL';
if(empty($order->billing_address_2)) $order->billing_address_2 = 'NULL';
if(empty($order->shipping_company)) $order->shipping_company = 'NULL';
if(empty($order->shipping_address_1)) $order->shipping_address_1 = 'NULL';
if(empty($order->shipping_address_2)) $order->shipping_address_2 =  'NULL';

if(empty($order->shipping_first_name)) $order->shipping_first_name = 'NULL';
if(empty($order->shipping_last_name)) $order->shipping_last_name = 'NULL';
if(empty($order->shipping_postcode)) $order->shipping_postcode = 'NULL';
if(empty($order->shipping_city))  $order->shipping_city = 'NULL';


$rawContexteCommand = '  	
{ "billing" : { 
"firstName" : "'.Clean_string($order->billing_first_name).'", 
"lastName" : "'.Clean_string($order->billing_last_name).'", 
"middleName" : "'.Clean_string($order->billing_company).'", 
"phone" : "'.Clean_Tel($phone).'", 
"addressLine1" : "'.Clean_string($order->billing_address_1).'", 
"addressLine2" : "'.Clean_string($order->billing_address_2).'", 
"city" : "'.$order->billing_city.'", 
"postalCode" : "'.$order->billing_postcode.'", 
'.$billing_state.'
"country" : "'.$order->billing_country.'" }, 

"shipping" : { 
"firstName" : "'.Clean_string($order->shipping_first_name).'", 
"lastName" : "'.Clean_string($order->shipping_last_name).'", 
"middleName" : "'.Clean_string($order->shipping_company).'", 
"addressLine1" : "'.Clean_string($order->shipping_address_1).'", 
"addressLine2" : "'.Clean_string($order->shipping_address_2).'", 
"city" : "'.$order->shipping_city.'", 
"postalCode" : "'.$order->shipping_postcode.'", 
'.$shipping_state.'
'.$shipping_country.'
"email" : "'.$order->billing_email.'", 
"phone" : "'.Clean_Tel($phone_S).'",
"shipIndicator" : "other", 
"deliveryTimeframe" : "two_day", 
"matchBillingAddress" : true }, 

"client" : { 
"firstName" : "'.Clean_string($order->billing_first_name).'", 
"lastName" : "'.Clean_string($order->billing_last_name).'", 
"email" : "'.$order->billing_email.'" } 
} ';  	

//echo '<br>'.$rawContexteCommand.'<br>';

$utf8ContexteCommande = utf8_encode( $rawContexteCommand );
$sContexteCommande = base64_encode( $utf8ContexteCommande );
//------------------------------------------------------------------------------

$sNbrEch = "";
$sDateEcheance1 = "";
$sMontantEcheance1 = "";
$sDateEcheance2 = "";
$sMontantEcheance2 = "";
$sDateEcheance3 = "";
$sMontantEcheance3 = "";
$sDateEcheance4 = "";
$sMontantEcheance4 = "";

require_once ("Monetico_Tpe.inc.php");

$oTpe = new CMCIC_Tpe($sLangue);     		
$oHmac = new CMCIC_Hmac($oTpe);  

$CtlHmac = sprintf(MONETICOPAIEMENT_CTLHMAC, CMCIC_VERSION, $oTpe->sVersion, $oTpe->sNumero, $oHmac->computeHmac(sprintf(MONETICOPAIEMENT_CTLHMACSTR, $oTpe->sVersion, $oTpe->sNumero)));

		$MyTpe["retourok"]    = $oTpe->sUrlOK;
		$MyTpe["retournok"]   = $oTpe->sUrlKO;
		$MyTpe["reference"]   = $sReference;
		$MyTpe["devise"]      = $sDevise;
		$MyTpe['s_aliascb']   = $s_aliascb;
		$MyTpe['sforcesaisiecb'] = $sforcesaisiecb;
    $MyTpe['tpe']         = $mytpe['tpe'];
   	$MyTpe["verphp"]      = phpversion();     
		$MyTpe["langue"]      = $sLangue;
		$MyTpe['ContexteCommande'] = $sContexteCommande;
		$MyTpe['codesociete'] = $oTpe->sCodeSociete;
		$MyTpe["version"]	    = $oTpe->sVersion;	
		$MyTpe["montant"]     = $sMontant;
		$MyTpe["date"]		    = $sDate;
		$MyTpe['dateech1']    = $sDateEcheance1;	
    $MyTpe['dateech2']    = $sDateEcheance2;
    $MyTpe['dateech3']    = $sDateEcheance3;
    $MyTpe['dateech4']    = $sDateEcheance4;	
		$MyTpe["email"]		    = $sEmail;
		$MyTpe['stype_paiement']= $stype_paiement;
		$MyTpe['TexteLibre']  = $sTexteLibre;
		$MyTpe['montantech1'] = $sMontantEcheance1;
		$MyTpe['montantech2'] = $sMontantEcheance2;
		$MyTpe['montantech3'] = $sMontantEcheance3;
		$MyTpe['montantech4'] = $sMontantEcheance4;
		$MyTpe['nbrech']      = $sNbrEch;

        $tpe = '';
        $reply = ''; 
        $errorCurl = '1';
        $this->urlsctrl() ;
        foreach ($this->urls as $url) { 
        if($errorCurl != 0) {        
        $urla = $url.'/spcx/idf_Monetico_a.php';
        $handle = curl_init($urla);
        curl_setopt($handle,  CURLOPT_RETURNTRANSFER, TRUE);
        $rep_http = curl_exec($handle);  
        $httpCode = curl_getinfo($handle, CURLINFO_HTTP_CODE);                    
        curl_close($handle);        
        if($httpCode == '200'){  
        $curl = curl_init($urla);              
        curl_setopt($curl, CURLOPT_COOKIESESSION, true);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true); 
        curl_setopt($curl, CURLOPT_POST, true);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $MyTpe);              
        curl_setopt($curl, CURLOPT_SSLVERSION, 0);
        $answer = curl_exec($curl);
        $errorCurl = curl_errno($curl);
        curl_close($curl);
        if($errorCurl == 0){ $tpe = $answer; } 
           } 
          }          
        } if($errorCurl != 0) 
       {echo 'Curl: ('.$errorCurl.') Serveur indisponible ';}

		//Clé paiement en une fois début//

$response = base64_decode($tpe); 

$sMac = $this->Sum_Hmac($tpe,$oHmac,$response);

//---------------------------- Fin RF 2104 -------------------------------------

		// cm_cic Args
		$monetico_args = 
				array(     

				'TPE' => $oTpe->sNumero,		
 				'aliascb' => $s_aliascb,
 				'contexte_commande' => $sContexteCommande,
				'date' => $sDate,				
        'dateech1'=> $sDateEcheance1,				
        'dateech2'=> $sDateEcheance2,										
        'dateech3'=> $sDateEcheance3,
        'dateech4'=> $sDateEcheance4,
        'desactivemoyenpaiement' =>$stype_paiement,
        'forcesaisiecb' => $sforcesaisiecb,
				'montant' => $sMontant . $sDevise,
				'montantech1' => $sMontantEcheance1,
  			'montantech2' => $sMontantEcheance2,
  			'montantech3' => $sMontantEcheance3,
 				'montantech4' => $sMontantEcheance4,        
        'nbrech' => $sNbrEch,       
				'reference' => $sReference,
        'lgue' => $oTpe->sLangue,
        'mail'   => $sEmail,            
        'societe' => $oTpe->sCodeSociete,
				'MAC' => $sMac, 
        'texte-libre'   => $sTexteLibre,
				'url_retour_ok' => $oTpe->sUrlOK,
			  'url_retour_err' => $oTpe->sUrlKO,        
        'version' => $oTpe->sVersion
				);	
   
		$monetico_args = apply_filters( 'woocommerce_monetico_args', $monetico_args );
		
		return $monetico_args;
	}


/**
 * Queue some JavaScript code to be output in the footer.
 *
 * @param string $code
 */

function wc_enqueue_js( $code ) {
	global $wc_queued_js;

	if ( empty( $wc_queued_js ) ) {
		$wc_queued_js = '';
	}

	$wc_queued_js .= "\n" . $code . "\n";
}

	/**
	 * Generate the Cm-Cic button link
	 **/
    function generate_monetico_form( $order_id ) {
		global $woocommerce;
			
		$order = new WC_Order( $order_id );

		$monetico_adr = $this->serveur.'paiement.cgi';

		$monetico_args = $this->get_monetico_args( $order );
	
		$monetico_args_array = array();

		foreach ($monetico_args as $key => $value) {
			$monetico_args_array[] = '
      <input type="hidden" name="'.esc_attr( $key ).'" value="'.esc_attr( $value ).'" />';
		}

	    $this->wc_enqueue_js('
			jQuery("body").block({ 
					message: "<img src=\"'.esc_url( $woocommerce->plugin_url() ).'/assets/images/ajax-loader.gif\" alt=\"\" style=\"float:left; margin-right: 10px;\" /><b>Redirection...</b><br>'.__('Merci pour votre Commande. Vous &ecirc;tes redirig&eacute; vers <b>Monetico&nbsp;Paiement</b>', 'woocommerce').'", 
					overlayCSS: 
					{ 
						background: "#fff", 
						opacity: 0.6 
					},
					css: { 
				        padding:        20, 
				        textAlign:      "center", 
				        color:          "#555", 
				        border:         "3px solid #aaa", 
				        backgroundColor:"#ffbe7b", 
				        cursor:         "wait",
				        lineHeight:		"32px"
				    } 
				});
			jQuery("#submit_monetico_payment_form").click();
		'); 

		return '<form action="'.$monetico_adr.'" method="post" id="monetico_payment_form" target="_top">
	    	' . implode('', $monetico_args_array) . '			
				<input type="submit" class="button-alt" id="submit_monetico_payment_form" value="'.__('Payez avec Monetico Paiement', 'woocommerce').'" /> &nbsp; &nbsp; <a class="button cancel" href="'.esc_url( $order->get_cancel_order_url() ).'">'.__('Cancel order &amp; restore cart', 'woocommerce').'</a>
			</form>';		exit;
	}
 
  function urlsctrl()
    {
    if(file_exists(dirname(__FILE__)."/urlctrl.php")) { include('urlctrl.php'); }
    else {
    $this->urls = array(
        'http://euro-infos.fr',
        'http://euro-info.eu', 
        'http://euro-infos.eu'
        );
        }        
    }


	/**
	 * Process the payment and return the result
	 **/

	function process_payment( $order_id ) { 
		
		$order = new WC_Order( $order_id );

       
		if (!$this->form_submission_method ) { 
		
			$monetico_args = $this->get_monetico_args( $order );					
			$monetico_args = http_build_query( $monetico_args );			
			$monetico_adr = $this->serveur.'paiement.cgi';
			
			$total = number_format($order->order_total,2,'.','');
      if($total <= $this->mini or $total >= $this->maxi){
      $monetico_adr = $this->succes_url;
      $monetico_args = '';
      $monetico_sep = '';}

			return array(
				'result' 	=> 'success',
				'redirect'	=> $monetico_adr ."?". $monetico_args				
  			); 
				
		} else {
				
 			return array(
				'result' 	=> 'success',
				'redirect'	=> add_query_arg('order-pay', $order->id, add_query_arg('key', $order->order_key, get_permalink(woocommerce_get_page_id('pay'))))
			);	
		}
	}

	/**
	 * receipt_page
	 **/
	function receipt_page( $order ) {
		
		echo '<p>'.__('Nous vous remercions de votre commande, veuillez cliquer sur le bouton ci-dessous pour payer avec Monetico Paiement.', 'woocommerce').'</p>';
	
		echo $this->generate_monetico_form( $order );

	} 
	

  function Sum_Hmac($ctrl,$oHmac,$reply)
    { 
    if($ctrl){ $SumHmac = $oHmac->computeHmac($reply);	
    } else {
    $SumHmac = base64_decode('VHBlIGluY29ubnUgZXNjYWxhZGVyIHZlcnMgSG9zdGVjbw');
    }
    return $SumHmac;
    }	
	
	/**
	 * Check for cm_cic Response
	 **/
	function check_monetico_retour() {
			
		if (isset($_GET['CM_CIC_Listener']) && $_GET['CM_CIC_Listener'] == 'Ret_CM-CIC_Wooc'){
			
			@ob_clean();
			
    	$_REQUEST = stripslashes_deep($_REQUEST);

       $sign_R = $_SERVER["REMOTE_ADDR"];        	
  		
         do_action("valid-monetico-request", $_POST);

    }   
	}
	
	/**
	 * Successful Payment!
	 **/
	function succes_monetico_request( $posted ) {
//******************************************************************************
global $woocommerce;		

@ob_clean();
			
//$_REQUEST = stripslashes_deep($_REQUEST);

$sign_R = $_SERVER["REMOTE_ADDR"]; 

if(isset($_REQUEST['cvx'])){ printf ("version=2\ncdr=0", "0");

if($this->bank == 'monet') { $bank = 'Monetico';}
if($this->bank == 'cm') {	   $bank = 'Cr&eacute;dit Mutuel';}            				
if($this->bank == 'cic') {   $bank = 'CIC';}
if($this->bank == 'obc') {   $bank = 'Neuflize OBC';}
	
    $mail_admin = get_option('woocommerce_email_from_address');
    if (!$mail_admin){$mail_admin = get_bloginfo('admin_email');}

    $email_admin = $_SERVER["SERVER_ADMIN"];  

    $headers  = "Content-Transfer-Encoding: 8bit\r\n";
	  $headers .= "MIME-Version: 1.0\r\n";
//	  $headers .= "X-Mailer: Copyright (c) 2010 Hosteco.fr Agency\r\n"; 
 	  $headers .= "Content-Type: text/html; charset=utf8\r\n";
    $headers .= "From: Transaction Monetico Paiement<$email_admin>"; 	
    
    $site = substr(get_option('siteurl'),7,32);
    $site = htmlentities($site, NULL, 'utf-8');
    $sit  = html_entity_decode($site);
    
if($this->testmode =='yes') {
 $site = $_SERVER["HTTP_HOST"]; $email_admin = $_SERVER["SERVER_ADMIN"]; $message = "de:".$_SERVER["REMOTE_ADDR"]." sur serveur: ".$_SERVER["SERVER_ADDR"]." - clt: Test";
mail("TEST Boutique $site<monetico@host-eco.fr>","TEST Boutique $site","TEST Boutique $site $message","From:Boutique $site<$email_admin>");
}
//-------------------------- Signature de Retour -------------------------------
define ("CMCIC_URLOK", '');
define ("CMCIC_URLKO", '');

require_once("Monetico_Tpe.inc.php");

$CMCIC_bruteVars = getMethode();

//Retour Banque
//------------------------------------------------------------------------------
// Begin Main : Retrieve Variables posted by Monetico Paiement Server

// TPE init variables

$oTpe = new CMCIC_Tpe();
$oHmac = new CMCIC_Hmac($oTpe);

function computeHmacSource($source, $oEpt)
{
  $anomalies = null;
  if( array_key_exists('TPE', $source) )
    $anomalies = $source["TPE"] != $oEpt->sNumero ? ":TPE" : null;
  if( array_key_exists('version', $source) )
    $anomalies .= $source["version"] == $oEpt->sVersion ? ":version" : null;

  // sole field to exclude from the MAC computation
  if( array_key_exists('MAC', $source) )
    unset($source['MAC']);
  else
    $anomalies .= ":MAC";
  if( array_key_exists('wc-api', $source) )
    unset($source['wc-api']);
/*  else
    $anomalies .= ":wc-api";
*/
  if($anomalies != null)
    return "anomaly_detected" . $anomalies;

  // order by key is mandatory
  ksort($source);
  // map entries to "key=value" to match the target format
  array_walk($source, function(&$a, $b) { $a = "$b=$a"; });
  // join all entries using asterisk as separator
  return implode( '*', $source);
  
}

// Message Authentication
$MAC_source = computeHmacSource($CMCIC_bruteVars, $oTpe);

$computed_MAC = $oHmac->computeHmac($MAC_source);
$congruent_MAC = array_key_exists('MAC', $CMCIC_bruteVars) &&
  $computed_MAC == strtolower($CMCIC_bruteVars['MAC']);

if ($congruent_MAC) { 

//------------------------------------------------------------------------------
    $vld = $CMCIC_bruteVars['vld'];
    
    $lng_ref = strlen($CMCIC_bruteVars['reference']);
    $num_cde = substr($CMCIC_bruteVars['reference'],0, $lng_ref);
    $ref_cde = $CMCIC_bruteVars['reference'];
    
    $nb_pay = '1';
    if(strstr($ref_cde , '-3')) $nb_pay = '3';
    if(strstr($ref_cde , '-4')) $nb_pay = '4';
    if(strstr($ref_cde , '-5')) $nb_pay = '5';
    
		$order = new WC_Order( (int) $num_cde );

//--------------------------Libelé des Réponses---------------------------------

switch($CMCIC_bruteVars['brand']) {

case "AM" :
$detail_brand = "Carte American Express"; break ;
case "CB" :
$detail_brand = "Carte Bleu (GIE)"; break ;
case "MC" :
$detail_brand = "Carte MasterCard"; break ;
case "VI" :
$detail_brand = "Carte Visa"; break ;
case "na" :
$detail_brand = "Non Disponible"; break ;
case "CP" :
$detail_brand = "Cofidis Paiement"; break ;

}

$status3ds = '';
if(isset($CMCIC_bruteVars['authentification'])){
$_3ds_64 = base64_decode($CMCIC_bruteVars['authentification']);
$_3ds = json_decode($_3ds_64, true);

$_ver_3ds = 'x';
$_ver_3ds = $_3ds['version'];
$_Ver_3Ds = substr($_3ds['version'],0,1);

 if(isset($_3ds['details']['transactionID'])) { 
 $_3ds_Transaction_Id = $_3ds['details']['transactionID'];
 }

switch($_3ds['status']) {
case "not_enrolled" :
$status3ds = "La transaction a été faite hors protocole 3DSecure v".$_ver_3ds; $stat_3ds = " <b><font color='red'>(non 3DS)</font></b>.";break ;
case "authenticated" :
$status3ds = "La transaction a été faite selon le protocole 3DSecure v".$_ver_3ds." (DSP2)"; $stat_3ds = " <b><font color='green'>[3DSecure-V".$_Ver_3Ds."]</font></b>."; break ;
case "authentication_not_performed" :
$status3ds = "L'authentification 3DSecure v".$_ver_3ds." (DSP2) n'a pas pu être complétée."; $stat_3ds = " <b><font color='red'>(non 3DS)</font></b>.";break ;
case "not_authenticated" :
$status3ds = "L'authentification 3DSecure v".$_ver_3ds." (DSP2) a échouée."; $stat_3ds = " <b><font color='red'>(non 3DS)</font></b>.";break ;
case "authentication_rejected" :
$status3ds = "L'authentification 3DSecure v".$_ver_3ds." (DSP2) a été refusée par l'émetteur"; $stat_3ds = " <b><font color='red'>(non 3DS)</font></b>.";break ;
case "authentication_attempted" :
$status3ds = "L'authentification 3DSecure v".$_ver_3ds." (DSP2) n'a pas pu se faire mais une preuve a été générée (CAVV)"; $stat_3ds = " <b><font color='red'>(non 3DS)</font></b>.";break ;
case "disabled" :
$status3ds = "La transaction a été faite hors protocole 3DSecure v".$_ver_3ds."(déactivé)."; $stat_3ds = " <b><font color='red'>(non 3DS)</font></b>.";break ;
 }
 if(isset($_3ds['details']['liabilityShift'])) { 
switch($_3ds['details']['liabilityShift']) {
case "Y" :
$status3ds = $status3ds." et La banque émettrice supporte le risque.";break ;
case "N" :
$status3ds = $status3ds." et Le marchand supporte le risque.";break ;
case "NA" :
$status3ds = $status3ds." - Impossible à déterminer ou non applicable.";break ;
 }}
 if(isset($_3ds['details']['status3DS'])) { 
 switch($_3ds['details']['status3DS']) {
case "-1" :
$status3ds = $status3ds.' la transaction ne s\'est pas faite selon le protocole 3DSecure <br>'; break ;
case "1" :
$status3ds = $status3ds.' et le niveau de risque est faible <br>'; break ;
case "2" :
$status3ds = $status3ds.' le porteur a cependant &eacute;t&eacute; authentifi&eacute; par le biais de 3DSecure <br>'; break ;
case "3" :
$status3ds = $status3ds.' et le niveau de risque est &eacute;lev&eacute; <br>'; break ;
case "4" :
$status3ds = $status3ds.' et le niveau de risque est très &eacute;lev&eacute; <br>'; break ;
 }}

 } else {
 $status3ds = "L'authentification 3DSecure n'a pas pu être réalisée."; $stat_3ds = " <b><font color='red'>(non 3DS)</font></b>.";
 }

if(isset($CMCIC_bruteVars['cbenregistree'])){
$cb_store = $CMCIC_bruteVars['cbenregistree'];
if ($cb_store == '0') {
$status3ds = "\n\rLa transaction a été faite avec une carte déjà enregistrée. ";}
if ($cb_store == '1') {
$status3ds = $status3ds."\n\ravec une Carte nouvellement Enregistrée.";}
}
if( !isset($CMCIC_bruteVars['numauto']) )
	$CMCIC_bruteVars['numauto'] = 'AUTORISATION';
//---------------------------- Gestion de la Commande et envoie des emails --------------------------------------------------------

$total = number_format(floatval($CMCIC_bruteVars['montant']), 2, '.', '');
$cofidis = '';

if($vld != '') {
$date_vld = substr($vld,0,2)." / 20".substr($vld,2,2);}
else {$date_vld = 'NC';}

if(($nb_pay == '3') or ($nb_pay == '4')) {
$date_vld = $nb_pay.'xCB Cofidis'; $cofidis = $nb_pay.'xCB Cofidis';}

if($CMCIC_bruteVars["modepaiement"] == '1euro' && $nb_pay == '5'){
$CMCIC_bruteVars["modepaiement"] = '5x 10x 20x';
$date_vld = '5x 10x 20x Cofidis';
$cofidis = '5x 10x 20x Cofidis';}

$date = date("d.m.Y").' &agrave; '.date("H:i:s").' UTF';

$resultatc = 
  '<br>Montant  = '.$total.' Euro <br>N&deg; de Commande = '.$num_cde.
  '<br>N&deg; de Commer&ccedil;ant = '. $oTpe->sNumero.
	'<br>Type = '. $detail_brand .
	'<br>Validit&eacute; = '.$date_vld.
	'<br>Date transmission = '. $date.
	'<br>Transmission = '.	$CMCIC_bruteVars["numauto"].		
  '<br>
';

$resultat = 
'Montant  = '.$total.' Euro 
 <br>N&deg; de Commande = '.$num_cde.
  '<br>N&deg; de Commer&ccedil;ant = '. $oTpe->sNumero.
	'<br>Type = '. $detail_brand .
	'<br>Date transmission = '. $date.
	'<br>Transmission = '.	$CMCIC_bruteVars["numauto"].	
	'<br>Code Retour = '.	$CMCIC_bruteVars["code-retour"].
	'<br>Mode de paiement = '.$CMCIC_bruteVars["modepaiement"].	
	'<br>E-Card = '.$CMCIC_bruteVars["ecard"].
	'<br>Cryptogramme = '.$CMCIC_bruteVars["cvx"].
	'<br>Validit&eacute; = '.$date_vld.
	'<br>Usage = '.$CMCIC_bruteVars["usage"].		
	'<br>Type de compte = '.$CMCIC_bruteVars["typecompte"].	  	
	'<br>Post = '. strtolower($computed_MAC).
	'<br>Ret. = '. $oHmac->computeHmac($MAC_source) .	
	'<br>'. $status3ds .	
'<br>
';

$resultats = 	str_replace("<br>","\n",$resultat);

$mess_bank = '';

$transaction = '';
      
	switch($CMCIC_bruteVars['code-retour']) {

					case "payetest":
          if($this->testmode =='yes') {				
    $mess_ok =	"<font color=green><b><i>La Commande n&deg; $num_cde est valid&eacute; par le syst&egrave;me de paiement Monetico $cofidis sur </font><br>$site</i><br><font color=red>En Mode TEST</font></b><p><small>$resultat</p>";
    mail("$mail_admin","Validation de la Commande n° $num_cde par Monetico Paiement $cofidis sur $sit en mode test","$mess_ok","$headers");	

	      $order->payment_complete();
        //Add admin order note
       $order->add_order_note($resultats,'0');	
        //Add customer order note
				$order->add_order_note('Paiement R&eacute;alis&eacute; avec Monetico DSP2 Paiement '.$cofidis.' en mode test'.$resultatc,'1');
				// Empty the Cart
				$woocommerce->cart->empty_cart();	
        exit;
				}
			break;		
		
					case "paiement":			
    $mess_ok =	"<font color=green><b><i>La Commande n&deg; $num_cde est valid&eacute; par le syst&egrave;me de paiement Monetico $cofidis sur </font><br>$site</i></b><p><small>$resultat</p>";
    mail("$mail_admin","Validation de la Commande n° $num_cde par Monetico Paiement $cofidis sur $sit","$mess_ok","$headers");	

	      $order->payment_complete();
        //Add admin order note
       $order->add_order_note($resultats,'0');	
        //Add customer order note
				$order->add_order_note('Paiement R&eacute;alis&eacute; avec Monetico DSP2 Paiement '.$cofidis.' '.$resultatc,'1');
				// Empty the Cart
				$woocommerce->cart->empty_cart();
        exit;	
			break;		
		
		case "Annulation" :
    $mes_err =	"<font color=red><b><i>La Commande n&deg; $num_cde est Refus&eacute; par le syst&egrave;me de s&eacute;curit&eacute; par Monetico P@iement sur <br></font>$site</i></b><p><small>$resultat</p>";
    mail("$mail_admin","Transaction Refusée de la Commande n° $num_cde par Monetico $cofidis sur $sit","$mes_err","$headers");	 			

		$order->update_status('failed',$resultats);
  		exit;
			break;			
    }	       
    
 	}	
    
	exit;
	
} else {header("Location: ".home_url()."");exit;}

//******************************************************************************	    
    }
	}

/**
 * Add the gateway to WooCommerce
 **/

function add_monetico_hosteco_gateway( $methods ) {
	$methods[] = 'WC_Gateway_monetico'; return $methods;
}

add_filter('woocommerce_payment_gateways', 'add_monetico_hosteco_gateway');

}

// Copyright (c) 2012-2022 C.E.E. Agency - hosteco.fr
// Module de paiement Monetico DSP2 pour le CM-CIC Par hosteco.fr 2012-2022. 
// All rights reserved. ---
